Bug 72031 - File error during GUI upgrade cause loop
File error during GUI upgrade cause loop
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 16:11 EDT by Matt
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt 2002-08-20 16:11:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
During GUI upgrade when you get to "Installing packages" section, i have a
problem with disk #2 so it cannot find an rpm package.  It generates an error
message in a pop-up that states, "The file [rpm package path] cannot be opened.
 This is due to a missing file, a bad package, or bad media.  Press <return> to
try again".  But since I do not have a good disk, I will never get it to find a
good package.  There is not "Cancel" or "Exit" button on this message and since
the popup is active i cannot use the back button of the installer.  Whenever i
press return or any other buttons it tries to find the package and opens the
popup again.  The only way to exit that i see would be to shutdown and that
would probably do something really bad to my current installation since this is
an upgrade.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.  Create bad disk 2
2.  Start upgrade
3.  Use bad disk to try to load rpms from
	

Additional info:
Comment 1 Jeremy Katz 2002-08-21 02:10:55 EDT
I've made some changes in the current code so that the CD is unmounted to allow
ejecting it and switching the CD.  Cancel or Exit have very little meaning other
than the same thing as hitting ctrl-alt-backspace or ctrl-alt-delete to reboot
the machine.
Comment 2 Jeremy Katz 2006-04-24 14:24:53 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.